
GammaLib - Action #1858

Remove GFitsImage::size() method

10/03/2016 10:47 AM - Knödlseder Jürgen

Status: Closed Start date: 10/03/2016

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.3.0   

Description

The meaning of the GFitsImage::size() method is ambiguous and it overwrites the GFitsHDU::size() method that returns the number

of header cards. For this reason the GFitsImage::size() method should be removed.

Related issues:

Related to ctools - Bug # 1831: csiactcopy mistakes FITS columns and rows Closed 08/01/2016

History

#1 - 10/03/2016 10:47 AM - Knödlseder Jürgen

- Related to Bug #1831: csiactcopy mistakes FITS columns and rows added

#2 - 03/03/2017 10:27 AM - Knödlseder Jürgen

- Target version changed from 1.2.0 to 1.3.0

#3 - 06/06/2017 04:34 PM - Knödlseder Jürgen

- Status changed from New to In Progress

- Assigned To set to Knödlseder Jürgen

- % Done changed from 0 to 100

Instead of removing the method the method has been renamed to npix().

#4 - 06/06/2017 09:36 PM - Knödlseder Jürgen

- Status changed from In Progress to Closed

Merged into devel.
